diff --git a/tests/manager/test_import_export.py b/tests/manager/test_import_export.py
index bcfa9604..efd161e2 100644
--- a/tests/manager/test_import_export.py
+++ b/tests/manager/test_import_export.py
@@ -22,7 +22,7 @@ from tests.utils import login
 pytestmark = pytest.mark.django_db
 
 
-def test_export_site(settings, app, admin_user):
+def test_export_site(app, admin_user):
     login(app)
     resp = app.get('/manage/')
     resp = resp.click('Export')
@@ -40,8 +40,6 @@ def test_export_site(settings, app, admin_user):
         'events_types': [],
         'resources': [],
         'categories': [],
-        'pricing_categories': [],
-        'pricing_models': [],
     }
 
     agenda = Agenda.objects.create(label='Foo Bar', kind='events')
@@ -57,8 +55,6 @@ def test_export_site(settings, app, admin_user):
     assert len(site_json['events_types']) == 0
     assert len(site_json['resources']) == 0
     assert len(site_json['categories']) == 0
-    assert len(site_json['pricing_categories']) == 0
-    assert len(site_json['pricing_models']) == 0
 
     resp = app.get('/manage/agendas/export/')
     resp.form['agendas'] = False
@@ -66,8 +62,6 @@ def test_export_site(settings, app, admin_user):
     resp.form['events_types'] = False
     resp.form['resources'] = False
     resp.form['categories'] = False
-    resp.form['pricing_categories'] = False
-    resp.form['pricing_models'] = False
     resp = resp.form.submit()
 
     site_json = json.loads(resp.text)
@@ -77,13 +71,6 @@ def test_export_site(settings, app, admin_user):
     assert 'events_types' not in site_json
     assert 'resources' not in site_json
     assert 'categories' not in site_json
-    assert 'pricing_categories' not in site_json
-    assert 'pricing_models' not in site_json
-
-    settings.CHRONO_ENABLE_PRICING = False
-    resp = app.get('/manage/agendas/export/')
-    assert 'pricing_categories' not in resp.context['form'].fields
-    assert 'pricing_models' not in resp.context['form'].fields
 
 
 def test_import_agenda_as_manager(app, manager_user):
diff --git a/tests/settings.py b/tests/settings.py
index 90d48a64..c7257967 100644
--- a/tests/settings.py
+++ b/tests/settings.py
@@ -34,4 +34,3 @@ LEGACY_URLS_MAPPING = {'old.org': 'new.org'}
 EXCEPTIONS_SOURCES = {}
 
 SITE_BASE_URL = 'https://example.com'
-CHRONO_ENABLE_PRICING = True
diff --git a/tests/test_import_export.py b/tests/test_import_export.py
index b5aaf7d9..c81cfb96 100644
--- a/tests/test_import_export.py
+++ b/tests/test_import_export.py
@@ -35,7 +35,6 @@ from chrono.agendas.models import (
     VirtualMember,
 )
 from chrono.manager.utils import import_site
-from chrono.pricing.models import AgendaPricing, Criteria, CriteriaCategory, Pricing, PricingCriteriaCategory
 
 pytestmark = pytest.mark.django_db
 
@@ -486,71 +485,6 @@ def test_import_export_agenda_with_events_type(app):
     assert agenda.events_type == events_type
 
 
-def test_import_export_agenda_with_pricing(app):
-    pricing = Pricing.objects.create(label='Foo')
-    agenda = Agenda.objects.create(label='Foo Bar', kind='events')
-    Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
-    agenda_pricing = AgendaPricing.objects.create(
-        agenda=agenda,
-        pricing=pricing,
-        date_start=datetime.date(year=2021, month=9, day=1),
-        date_end=datetime.date(year=2021, month=10, day=1),
-        pricing_data={
-            'foo': 'bar',
-        },
-    )
-    output = get_output_of_command('export_site')
-
-    import_site(data={}, clean=True)
-    assert Agenda.objects.count() == 0
-    assert Pricing.objects.count() == 0
-    data = json.loads(output)
-    del data['pricing_models']
-    print(data)
-
-    with pytest.raises(AgendaImportError) as excinfo:
-        import_site(data, overwrite=True)
-    assert str(excinfo.value) == 'Missing "foo" pricing model'
-
-    Pricing.objects.create(label='foobar')
-    with pytest.raises(AgendaImportError) as excinfo:
-        import_site(data, overwrite=True)
-    assert str(excinfo.value) == 'Missing "foo" pricing model'
-
-    pricing = Pricing.objects.create(label='Foo')
-    import_site(data, overwrite=True)
-    agenda = Agenda.objects.get(slug=agenda.slug)
-    assert agenda.agendapricing_set.count() == 1
-    agenda_pricing = agenda.agendapricing_set.get()
-    assert agenda_pricing.agenda == agenda
-    assert agenda_pricing.pricing == pricing
-    assert agenda_pricing.date_start == datetime.date(year=2021, month=9, day=1)
-    assert agenda_pricing.date_end == datetime.date(year=2021, month=10, day=1)
-
-    # again
-    import_site(data)
-    assert agenda.agendapricing_set.count() == 1
-    agenda_pricing = AgendaPricing.objects.get(pk=agenda_pricing.pk)
-    assert agenda_pricing.agenda == agenda
-    assert agenda_pricing.pricing == pricing
-
-    data['agendas'][0]['pricings'].append(
-        {
-            'pricing': 'foo',
-            'date_start': '2022-09-01',
-            'date_end': '2022-10-01',
-            'pricing_data': {'foo': 'bar'},
-        }
-    )
-    import_site(data)
-    assert agenda.agendapricing_set.count() == 2
-    agenda_pricing = AgendaPricing.objects.latest('pk')
-    assert agenda_pricing.agenda == agenda
-    assert agenda_pricing.pricing == pricing
-    assert agenda_pricing.date_start == datetime.date(year=2022, month=9, day=1)
-    assert agenda_pricing.date_end == datetime.date(year=2022, month=10, day=1)
-
-
 def test_import_export_virtual_agenda(app):
     virtual_agenda = Agenda.objects.create(label='Virtual Agenda', kind='virtual')
     output = get_output_of_command('export_site')
@@ -1166,221 +1100,6 @@ def test_import_export_resource(app):
     assert resource.slug == 'foo-bar'
 
 
-def test_import_export_pricing_criteria_category(app):
-    output = get_output_of_command('export_site')
-    payload = json.loads(output)
-    assert len(payload['pricing_categories']) == 0
-
-    category = CriteriaCategory.objects.create(label='Foo bar')
-    Criteria.objects.create(label='Foo reason', category=category)
-    Criteria.objects.create(label='Baz', category=category)
-
-    output = get_output_of_command('export_site')
-    payload = json.loads(output)
-    assert len(payload['pricing_categories']) == 1
-
-    category.delete()
-    assert not CriteriaCategory.objects.exists()
-    assert not Criteria.objects.exists()
-
-    import_site(copy.deepcopy(payload))
-    assert CriteriaCategory.objects.count() == 1
-    category = CriteriaCategory.objects.first()
-    assert category.label == 'Foo bar'
-    assert category.slug == 'foo-bar'
-    assert category.criterias.count() == 2
-    assert Criteria.objects.get(category=category, label='Foo reason', slug='foo-reason')
-    assert Criteria.objects.get(category=category, label='Baz', slug='baz')
-
-    # update
-    update_payload = copy.deepcopy(payload)
-    update_payload['pricing_categories'][0]['label'] = 'Foo bar Updated'
-    import_site(update_payload)
-    category.refresh_from_db()
-    assert category.label == 'Foo bar Updated'
-
-    # insert another category
-    category.slug = 'foo-bar-updated'
-    category.save()
-    import_site(copy.deepcopy(payload))
-    assert CriteriaCategory.objects.count() == 2
-    category = CriteriaCategory.objects.latest('pk')
-    assert category.label == 'Foo bar'
-    assert category.slug == 'foo-bar'
-    assert category.criterias.count() == 2
-    assert Criteria.objects.get(category=category, label='Foo reason', slug='foo-reason')
-    assert Criteria.objects.get(category=category, label='Baz', slug='baz')
-
-    # with overwrite
-    Criteria.objects.create(category=category, label='Baz2')
-    import_site(copy.deepcopy(payload), overwrite=True)
-    assert CriteriaCategory.objects.count() == 2
-    category = CriteriaCategory.objects.latest('pk')
-    assert category.label == 'Foo bar'
-    assert category.slug == 'foo-bar'
-    assert category.criterias.count() == 2
-    assert Criteria.objects.get(category=category, label='Foo reason', slug='foo-reason')
-    assert Criteria.objects.get(category=category, label='Baz', slug='baz')
-
-
-def test_import_export_pricing(app):
-    output = get_output_of_command('export_site')
-    payload = json.loads(output)
-    assert len(payload['pricing_models']) == 0
-
-    pricing = Pricing.objects.create(label='Foo bar', extra_variables={'foo': 'bar'})
-
-    output = get_output_of_command('export_site')
-    payload = json.loads(output)
-    assert len(payload['pricing_models']) == 1
-
-    pricing.delete()
-    assert not Pricing.objects.exists()
-
-    import_site(copy.deepcopy(payload))
-    assert Pricing.objects.count() == 1
-    pricing = Pricing.objects.first()
-    assert pricing.label == 'Foo bar'
-    assert pricing.slug == 'foo-bar'
-    assert pricing.extra_variables == {'foo': 'bar'}
-
-    # update
-    update_payload = copy.deepcopy(payload)
-    update_payload['pricing_models'][0]['label'] = 'Foo bar Updated'
-    import_site(update_payload)
-    pricing.refresh_from_db()
-    assert pricing.label == 'Foo bar Updated'
-
-    # insert another pricing
-    pricing.slug = 'foo-bar-updated'
-    pricing.save()
-    import_site(copy.deepcopy(payload))
-    assert Pricing.objects.count() == 2
-    pricing = Pricing.objects.latest('pk')
-    assert pricing.label == 'Foo bar'
-    assert pricing.slug == 'foo-bar'
-    assert pricing.extra_variables == {'foo': 'bar'}
-
-
-def test_import_export_pricing_with_categories(app):
-    pricing = Pricing.objects.create(label='Foo bar')
-    category = CriteriaCategory.objects.create(label='Foo bar')
-    pricing.categories.add(category, through_defaults={'order': 42})
-
-    output = get_output_of_command('export_site')
-
-    import_site(data={}, clean=True)
-    assert Pricing.objects.count() == 0
-    assert CriteriaCategory.objects.count() == 0
-    data = json.loads(output)
-    del data['pricing_categories']
-
-    with pytest.raises(AgendaImportError) as excinfo:
-        import_site(data, overwrite=True)
-    assert str(excinfo.value) == 'Missing "foo-bar" pricing category'
-
-    CriteriaCategory.objects.create(label='Foobar')
-    with pytest.raises(AgendaImportError) as excinfo:
-        import_site(data, overwrite=True)
-    assert str(excinfo.value) == 'Missing "foo-bar" pricing category'
-
-    category = CriteriaCategory.objects.create(label='Foo bar')
-    import_site(data, overwrite=True)
-    pricing = Pricing.objects.get(slug=pricing.slug)
-    assert list(pricing.categories.all()) == [category]
-    assert PricingCriteriaCategory.objects.first().order == 42
-
-    category2 = CriteriaCategory.objects.create(label='Foo bar 2')
-    category3 = CriteriaCategory.objects.create(label='Foo bar 3')
-    pricing.categories.add(category2, through_defaults={'order': 1})
-    output = get_output_of_command('export_site')
-    data = json.loads(output)
-    del data['pricing_categories']
-    data['pricing_models'][0]['categories'] = [
-        {
-            'category': 'foo-bar-3',
-            'order': 1,
-            'criterias': [],
-        },
-        {
-            'category': 'foo-bar',
-            'order': 35,
-            'criterias': [],
-        },
-    ]
-    import_site(data, overwrite=True)
-    assert list(pricing.categories.all()) == [category, category3]
-    assert list(
-        PricingCriteriaCategory.objects.filter(pricing=pricing).values_list('category', flat=True)
-    ) == [category3.pk, category.pk]
-    assert list(PricingCriteriaCategory.objects.filter(pricing=pricing).values_list('order', flat=True)) == [
-        1,
-        35,
-    ]
-    assert list(pricing.criterias.all()) == []
-
-    criteria1 = Criteria.objects.create(label='Crit 1', category=category)
-    Criteria.objects.create(label='Crit 2', category=category)
-    criteria3 = Criteria.objects.create(label='Crit 3', category=category)
-
-    # unknown criteria
-    data['pricing_models'][0]['categories'] = [
-        {
-            'category': 'foo-bar-3',
-            'order': 1,
-            'criterias': ['unknown'],
-        },
-        {
-            'category': 'foo-bar',
-            'order': 35,
-            'criterias': [],
-        },
-    ]
-    with pytest.raises(AgendaImportError) as excinfo:
-        import_site(data, overwrite=True)
-    assert str(excinfo.value) == 'Missing "unknown" pricing criteria for "foo-bar-3" category'
-
-    # wrong criteria (from another category)
-    data['pricing_models'][0]['categories'] = [
-        {
-            'category': 'foo-bar-3',
-            'order': 1,
-            'criterias': ['crit-1'],
-        },
-        {
-            'category': 'foo-bar',
-            'order': 35,
-            'criterias': [],
-        },
-    ]
-    with pytest.raises(AgendaImportError) as excinfo:
-        import_site(data, overwrite=True)
-    assert str(excinfo.value) == 'Missing "crit-1" pricing criteria for "foo-bar-3" category'
-
-    data['pricing_models'][0]['categories'] = [
-        {
-            'category': 'foo-bar-3',
-            'order': 1,
-            'criterias': [],
-        },
-        {
-            'category': 'foo-bar',
-            'order': 35,
-            'criterias': ['crit-1', 'crit-3'],
-        },
-    ]
-    import_site(data, overwrite=True)
-    assert list(pricing.categories.all()) == [category, category3]
-    assert list(
-        PricingCriteriaCategory.objects.filter(pricing=pricing).values_list('category', flat=True)
-    ) == [category3.pk, category.pk]
-    assert list(PricingCriteriaCategory.objects.filter(pricing=pricing).values_list('order', flat=True)) == [
-        1,
-        35,
-    ]
-    assert set(pricing.criterias.all()) == {criteria1, criteria3}
-
-
 @mock.patch('chrono.agendas.models.Agenda.is_available_for_simple_management')
 def test_import_export_desk_simple_management(available_mock):
     agenda = Agenda.objects.create(label='Foo bar', kind='meetings', desk_simple_management=True)
-- 
2.35.1

